Bug 838399 - SELinux is preventing /usr/bin/ruby from 'write' accesses on the sock_file /var/lib/sss/pipes/nss.
SELinux is preventing /usr/bin/ruby from 'write' accesses on the sock_file /v...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e9ca0415608a9aee4241fc02054...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 21:33 EDT by WhoEver
Modified: 2012-08-27 18:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 18:57:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description WhoEver 2012-07-08 21:33:51 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.2-1.fc16.i686.PAE
time:           Sun 08 Jul 2012 06:32:02 PM PDT

description:
:SELinux is preventing /usr/bin/ruby from 'write' accesses on the sock_file /var/lib/sss/pipes/nss.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that ruby should be allowed write access on the nss sock_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep deltacloudd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:deltacloudd_t:s0
:Target Context                system_u:object_r:sssd_var_lib_t:s0
:Target Objects                /var/lib/sss/pipes/nss [ sock_file ]
:Source                        deltacloudd
:Source Path                   /usr/bin/ruby
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           ruby-1.8.7.358-2.fc16.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-89.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.2-1.fc16.i686.PAE #1 SMP Thu Jun
:                              14 20:53:38 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Sun 08 Jul 2012 05:12:26 PM PDT
:Last Seen                     Sun 08 Jul 2012 05:12:26 PM PDT
:Local ID                      f6145a43-b8f0-40bc-9457-171f3432d014
:
:Raw Audit Messages
:type=AVC msg=audit(1341792746.219:139): avc:  denied  { write } for  pid=1995 comm="deltacloudd" name="nss" dev="dm-2" ino=661334 scontext=system_u:system_r:deltacloudd_t:s0 tcontext=system_u:object_r:sssd_var_lib_t:s0 tclass=sock_file
:
:
:type=AVC msg=audit(1341792746.219:139): avc:  denied  { connectto } for  pid=1995 comm="deltacloudd" path="/var/lib/sss/pipes/nss" scontext=system_u:system_r:deltacloudd_t:s0 tcontext=system_u:system_r:sssd_t:s0 tclass=unix_stream_socket
:
:
:type=SYSCALL msg=audit(1341792746.219:139): arch=i386 syscall=socketcall success=yes exit=0 a0=3 a1=bfa8a0e0 a2=b742aff4 a3=b742b08c items=0 ppid=1994 pid=1995 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=deltacloudd exe=/usr/bin/ruby subj=system_u:system_r:deltacloudd_t:s0 key=(null)
:
:Hash: deltacloudd,deltacloudd_t,sssd_var_lib_t,sock_file,write
:
:audit2allow
:
:#============= deltacloudd_t ==============
:allow deltacloudd_t sssd_t:unix_stream_socket connectto;
:allow deltacloudd_t sssd_var_lib_t:sock_file write;
:
:audit2allow -R
:
:#============= deltacloudd_t ==============
:allow deltacloudd_t sssd_t:unix_stream_socket connectto;
:allow deltacloudd_t sssd_var_lib_t:sock_file write;
:
Comment 1 Miroslav Grepl 2012-07-09 08:02:20 EDT
Fixed in selinux-policy-3.10.0-91.fc16
Comment 2 Fedora Update System 2012-08-01 09:40:06 EDT
selinux-policy-3.10.0-91.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-91.fc16
Comment 3 Fedora Update System 2012-08-02 07:19:48 EDT
Package selinux-policy-3.10.0-91.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-91.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11411/selinux-policy-3.10.0-91.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-27 18:57:40 EDT
selinux-policy-3.10.0-91.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.